Home Downloads Fóruns Pesquisas Sua Conta
Navegação
icon_home.gif HomeNovo conteúdo !
· Forums
· Equipe/Team
· Blog CADKlein Oficial
· Blog CADKlein Antigo
· Loja CADKlein
· Aulas ao vivo
· Podcast CADKlein
· Boletins CADKlein
· Galeria/Gallery
· Contato/Contact
· Recomende-nos

icon_vip.gif Membro VIPNovo conteúdo !Show/Hide content
· InformaçõesNovo conteúdo !

icon_usuarios.gif UsuáriosShow/Hide content
· Sua Conta/Account
_SOMRESTRICTEDMEMBERS Msg Privadas
_SOMRESTRICTEDMEMBERS Members_List
favoritos.gif NewsShow/Hide content
_SOMRESTRICTEDGROUP News Submission
· News Topics
· News Archive
som_downloads.gif DownloadsNovo conteúdo !Show/Hide content
· DownloadsNovo conteúdo !
icon_estatisticasl.gif InformaçõesShow/Hide content
· Pesquisas/Surveys
_SOMRESTRICTEDMEMBERS Estatísticas
· Top 10
som_downloads.gif LinksShow/Hide content
· Web LinksNovo conteúdo !
utils.gif UtilitáriosShow/Hide content
· conversor
icon_comunidade.gif EquipeShow/Hide content
· Administração do site
· Forums
nuke.gif Comunidade

CADKLein no Yahoogrupos
Faça parte de nossa lista de discussão no Yahoogrupos,
Grupo CADKLEIN.

Simplesmente digite o seu email no campo abaixo:

User Menu
Bem-vindo

Visitante

Apelido
Senha
Fazer Registro

Usuários:
Último(a): vhmp
Pendente(s): 15
Hoje:: 1
Ontem: 1
Total: 28542

On-line Agora [0]:
Visitantes: 0
Cadastrados: 0
Usuário On-Line:


Páginas Vistas:
Hoje: 2206
Total: 20612852

Google Ads

CADKLEIN: Forums

CADKLEIN :: Exibir tópico - CRIAR E EXPORTAR TABELA DO AUTOCAD P/ O EXCEL
Main  •  FAQ  •  Search  •  User Groups  •  Profile  •  Members List  •  Private Messages
Arcade  •  Attachments  •  Buddy List  •  Ranks  •  Rules  •  Smilies List  •  Statistics  •  Staff


CRIAR E EXPORTAR TABELA DO AUTOCAD P/ O EXCEL

 
Novo Tópico   Responder Mensagem    CADKLEIN - Índice do Fórum -> AutoCAD 2D Exibir página para Impressão
Exibir mensagem anterior :: Exibir próxima mensagem  


Autor Mensagem
sergio45
Ferro
Ferro


Registro: Jan 11, 2007
Mensagens: 6


Status: Offline

MensagemEnviada: Qui 17 Mai 2007 4:33:12 pm    Assunto: CRIAR E EXPORTAR TABELA DO AUTOCAD P/ O EXCEL Responder com Citação Scroll Down to Next postGo to last Post of Page

É POSSIVEL CRIAR UMA TABELA NO AUTOCAD E EXPORTA-LÁ PRO EXCELL, SENDO Q ELA CONTINUE EDITÁVEL ??
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular

Autor Mensagem
emonteiro
Ouro
Ouro


Registro: Feb 23, 2007
Mensagens: 302
Localização: Belo Horizonte - Minas Gerais

Status: Offline

MensagemEnviada: Qui 17 Mai 2007 4:46:37 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

AUTOLISP.

FAZENDO UMA PROGRAMAÇÃO EM AUTOLISP. Por enquanto eu não posso te ajudar, pois, estou começando à aprender a linguagem ainda, más os amigos aqui do forum já me ajudaram à bolar uma lista pra uma rotina em autolisp.

Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Visitar a homepage do Usuário MSN Messenger

Autor Mensagem
LuKlein
Equipe CADKLEIN
Equipe CADKLEIN


Registro: Feb 27, 2003
Mensagens: 2755
Localização: Brasil

Status: Offline

MensagemEnviada: Qui 17 Mai 2007 5:33:37 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Sergio,

Qual versão do Autocad vc quer usar pra criar a tabela?


____________
Abraços,
Luciana Klein
Sócia-Fundadora CADKlein
Autodesk Expert Elite
Autora Livros AutoCAD:
2006 2D, 2008 2D/3D
2010 2D/3D, 2012 2D/3D
AutoCAD 2009/10/11/12/13 Certified Professional/Associate
www.lucianaklein.com/loja
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email Visitar a homepage do Usuário

Autor Mensagem
sergio45
Ferro
Ferro


Registro: Jan 11, 2007
Mensagens: 6


Status: Offline

MensagemEnviada: Sex 18 Mai 2007 8:37:19 am    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

eu trabalho no autocad 2006.
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular

Autor Mensagem
mcm
Ouro
Ouro


Registro: Oct 04, 2003
Mensagens: 320


Status: Offline

MensagemEnviada: Sex 18 Mai 2007 12:34:24 pm    Assunto: acad table to excel.lsp Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Sergio,

Procura no site CADALYST (http://www.cadalyst.com/cadalyst/) a Rotina: acad table to excel.lsp - Tip2107, mês 04 ano 2006
Acho que vai te ajudar.

Se não conseguir fazer o download, mande seu e-mail que te envio.

[]s,

Márcio

Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular

Autor Mensagem
rogeriozanini
Ouro
Ouro


Registro: May 27, 2004
Mensagens: 321


Status: Offline

MensagemEnviada: Sex 18 Mai 2007 12:54:55 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

A rotina também está nesse link:

http://www.autocadokulu.com/portal/forums.php?m=posts&q=3551&n=last

[],

Rogério

Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular

Autor Mensagem
LuKlein
Equipe CADKLEIN
Equipe CADKLEIN


Registro: Feb 27, 2003
Mensagens: 2755
Localização: Brasil

Status: Offline

MensagemEnviada: Sex 27 Jan 2012 10:52:35 am    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Só pra atualizar:

Essa lisp não está funcionando nas versões mais novas, então pesquisei e encontrei uma que funciona, testei no 2010:
http://cadtips.cadalyst.com/export/tip-2234-autocad-tables-exc el

Precisa abrir o csv (criado depois de rodar o lisp) pelo bloco de notas, copiar e colar no excel com o assistente de importação pra definir que os textos sejam separados em colunas por vírgulas.


____________
Abraços,
Luciana Klein
Sócia-Fundadora CADKlein
Autodesk Expert Elite
Autora Livros AutoCAD:
2006 2D, 2008 2D/3D
2010 2D/3D, 2012 2D/3D
AutoCAD 2009/10/11/12/13 Certified Professional/Associate
www.lucianaklein.com/loja
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email Visitar a homepage do Usuário

Autor Mensagem
LuKlein
Equipe CADKLEIN
Equipe CADKLEIN


Registro: Feb 27, 2003
Mensagens: 2755
Localização: Brasil

Status: Offline

MensagemEnviada: Seg 18 Ago 2014 7:31:41 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Segue o código, copiar no bloco de notas e salvar com extensão .lsp
Exemplo: Bom.lsp


Código:
;; BOM to CSV; A program to create a csv file from a text based table in AutoCAD
;; Author: Doug Barnes
;; Company: Grantek Systems Integration
(defun Cleanup_Text ()
  ;; find all the text with no content and erase them
  (setq   nil_text
    (ssget   "x"
      '((-4 . "<and") (0 . "TEXT") (1 . "") (-4 . "and>"))
    )
  )
  ;; search for text with no content
  (if nil_text
    (command "erase" nil_text "")
  )
  ;; erase text with no content
)
;; end cleanup_text defun
;;================================================================= =========================
(defun Gather_Text ()
  (setq Text_SS (ssget '((0 . "TEXT"))))
  ;; create a selection set for all text selected by the user.
)
;; end Gather_Text defun
;;================================================================= =========================
(defun MakeList_X_Y_Text (Text_SS)
  ;; Make a list of x-coords, y-coords and text
  (setq MakeList_cnt 0)
  (repeat (sslength Text_SS)
    (setq X_cord
      (if (= (cdr (assoc 72 (entget (ssname Text_SS MakeList_cnt))))
        0
          )
        ;; check for the text's justification
        (cadr (assoc 10 (entget (ssname Text_SS MakeList_cnt))))
        ;; if left justified use first alignment point
        (cadr (assoc 11 (entget (ssname Text_SS MakeList_cnt))))
        ;; else use second alignment point
      )
      ;;end if
    )
    ;;end Setq
    (setq y_cord
      (if (= (cdr (assoc 72 (entget (ssname Text_SS MakeList_cnt))))
        0
          )
        ;; check for the text's justification
        (caddr (assoc 10 (entget (ssname Text_SS MakeList_cnt))))
        ;; if left justified use first alignment point
        (caddr (assoc 11 (entget (ssname Text_SS MakeList_cnt))))
        ;; else use second alignment point
      )
      ;;end if
    )
    (setq List_X_Y_Text
      (append
        List_X_Y_Text
        (list
          (list
       (cons "X coord"
             X_cord
       )
       (cons "Y coord" y_cord)
       (cons "Text"
             (cdr (assoc 1 (entget (ssname Text_SS MakeList_cnt))))
       )
          )
        )
      )
    )
    ;;make assocation list of x, y and text dotted pairs
    (setq MakeList_cnt (1+ MakeList_cnt))
    ;; index to next entity
  )
  ;;repeat
)
;;end MakeList_X_Y_Text defun
;;================================================================= =========================
(defun Sort_by_X (List_X_Y_Text)
  ;; re-order list from left to right
  (setq   X_List
    (vl-sort
      List_X_Y_Text
      (FUNCTION (LAMBDA (E1 E2) (< (cdar E1) (cdar E2))))
    )
  )
)
;; end Sort_by_X defun
;;================================================================= =========================
(defun Sort_by_Y (List_X_Y_Text_Col)
  ;; re-order list from top to bottom
  (setq   Y_List
    (vl-sort
      List_X_Y_Text_Col
      (FUNCTION (LAMBDA (E1 E2) (> (cdadr E1) (cdadr E2))))
    )
  )
)
;; end Sort_by_Y defun
;;================================================================= =========================
(defun Get_Columns (X_List)
  ;; determine the number of columns text
  (setq   Column_Qty 1
   X_List_cnt 0
  )
  (repeat (length X_List)
    ;; add a column number to List_X_Y_Text
    (setq List_X_Y_Text_Col
      (append List_X_Y_Text_Col
         (list (list
            (assoc "X coord" (nth X_List_cnt X_List))
            (assoc "Y coord" (nth X_List_cnt X_List))
            (assoc "Text" (nth X_List_cnt X_List))
            (cons "Column" Column_Qty)
          )
         )
      )
    )
    (if   (/= (nth (+ X_List_cnt 1) X_List) nil)
      ;; Check for end of list
      (progn
   (if
     (>=
       (- (cdr (car (nth (+ X_List_cnt 1) X_List))) Line_Tolerance)
       (cdr (car (nth X_List_cnt X_List)))
     )
      ;; if the X Coord of the next text is out of tolerance with the current text then increase the column count
      (setq Column_Qty (1+ Column_Qty))
   )
      )
    )
    (setq X_List_cnt (1+ X_List_cnt))
    ;; index list position
  )
  ;; end repeat
)
;; end Get_Columns defun
;;================================================================= =========================
(defun Get_Rows   (Y_List)
  ;; determine the number of rows of text
  (setq   Row_Qty   1
   Y_List_cnt
    0
  )
  (repeat (length Y_List)
    ;; add a row number to List_X_Y_Text_Col
    (setq List_All
      (append
        List_All
        (list (list ;; make a list of x, y, text, column and row
          (assoc "X coord" (nth Y_List_cnt Y_List))
          (assoc "Y coord" (nth Y_List_cnt Y_List))
          (assoc "Text" (nth Y_List_cnt Y_List))
          (assoc "Column" (nth Y_List_cnt Y_List))
          (cons "Row" Row_Qty)
         )
        )
      )
    )
    (if   (/= (nth (+ Y_List_cnt 1) Y_List) nil)
      ;; Check for end of list
      (progn
   (if (<=   (cdr (cadr (nth (+ Y_List_cnt 1) Y_List)))
      (- (cdr (cadr (nth Y_List_cnt Y_List))) Line_Tolerance)
       )
     ;; if the Y Coord of the next text is out of tolerance with the current text then increase the row count
     (setq Row_Qty (1+ Row_Qty))
   )
   ;; end if
      )
      ;;end progn
    )
    ;; end if
    (setq Y_List_cnt (1+ Y_List_cnt))
    ;; index list position
  )
  ;; end repeat
)
;; end Get_Rows defun
;;================================================================= =========================
(defun Write_BOM_to_CSV   ()
  (setq Position 0)
  (setq Path (getvar "dwgprefix"))
  ;; Obtain the file path of the drawing
  (setq   Dwg_Name (substr (getvar "dwgname")
          1
          (- (strlen (getvar "dwgname")) 4)
       )
  )
  ;; remove the .dwg from the file name
  (setq BOM_CSV_File (open (strcat Path Dwg_Name " BOM.csv") "a"))
  ;; Open a CSV file for ammending
  (while (/= (nth Position List_All) nil)
    (setq Current_Row (cddr (nth Position List_All)))
    ;; setup to gather all of the same row text
    (setq Next_Row (cddr (nth (+ Position 1) List_All)))
    ;; setup to check end of row
    (while (= (cdr (assoc "Row" Current_Row))
         (cdr (assoc "Row" Next_Row))
      )
      ;; loop for all the same row
      (setq Text_Column
        (append Text_Column
           (list (list (cdr (assoc "Text" Current_Row))
             (cdr (assoc "Column" Current_Row))
            )
           )
        )
      )
      ;; create a list of text and column only
      (setq Position (1+ Position))
      ;; index position in list
      (setq Current_Row (cddr (nth Position List_All)))
      (setq Next_Row (cddr (nth (+ Position 1) List_All)))
    )
    ;; end if
    (setq Text_Column
      (append Text_Column
         (list (list (cdr (assoc "Text" Current_Row))
                (cdr (assoc "Column" Current_Row))
          )
         )
      )
    )
    ;; append Text_Column with the last text in the current row
    (setq Text_Column
      (vl-sort
        Text_Column
        (FUNCTION (LAMBDA (E1 E2) (< (cadr E1) (cadr E2))))
      )
    )
    ;; Sort list by Column number (left to right)
    (setq Column_Qty_Count
      1
     Write_Row ""
     Column_List_Position
      0
    )
    (repeat Column_Qty
      ;; repeat for the maximum number of columns
      (if (= (cadr (nth Column_List_Position Text_Column))
        Column_Qty_Count
     )
   ;; check the position of the current text's postion with the column count
   (progn ;; if equal string together the cuurent text and a comma
          (setq
       Write_Row (strcat
              Write_Row
              (car (nth Column_List_Position Text_Column))
              ","
            )
          )
          (setq Column_List_Position (1+ Column_List_Position))
          ;; index position
   )
   ;; end progn
   ;; if not equal string together previous text and a comma
   (setq Write_Row (strcat Write_Row ","))
      )
      ;; end if
      (setq Column_Qty_Count (1+ Column_Qty_Count))
      ;; index the column count
    )
    ;; end repeat
    ;;(print Write_Row)
    (write-line Write_Row BOM_CSV_File)
    ;; write the current row to the csv file
    (setq Position (1+ Position))
    ;; index list position
    (setq Text_Column nil)
    ;; reset for next row
  )
  ;; end while
  (close BOM_CSV_File)
  ;; close the csv file
)
;; end Write_BOM_to_CSV defun
;;================================================================= =========================
;; Create a CSV file from a text based Bill of Materials in AutoCAD
(defun c:bom (/            X_List         Y_List
         Text_Column     List_X_Y_Text   List_X_Y_Text_Col
         List_All
        )
  (Cleanup_Text)
  (Gather_Text)
  (MakeList_X_Y_Text Text_SS)
  (Sort_by_X List_X_Y_Text)
  (setq Text_Height (cdr (assoc 40 (entget (ssname Text_SS 0)))))
  ;; get the text height used
  (setq Line_Tolerance (+ Text_Height (* Text_Height 0.1)))
  ;; set up a line spacing tolerance
  (Get_Columns X_List)
  (Sort_by_Y List_X_Y_Text_Col)
  (Get_Rows Y_List)
  (Write_BOM_to_CSV)
)
;; end defun


____________
Abraços,
Luciana Klein
Sócia-Fundadora CADKlein
Autodesk Expert Elite
Autora Livros AutoCAD:
2006 2D, 2008 2D/3D
2010 2D/3D, 2012 2D/3D
AutoCAD 2009/10/11/12/13 Certified Professional/Associate
www.lucianaklein.com/loja
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email Visitar a homepage do Usuário

Autor Mensagem
PONG
Ferro
Ferro


Registro: Jul 26, 2013
Mensagens: 20


Status: Offline

MensagemEnviada: Ter 26 Ago 2014 6:08:43 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Amigo, este site tem bem o que vc está procurando, tem um programinha que se chama TABLE2EXCEL, só carregar com appload do Excel ou arrastar para dentro de uma planta.

http://www.aacconsultoria.com.br/downloads

Na parte de downloads, baixar arquivo TABLE2EXCEL.VLX


ATT
Claudio Pong

Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email Visitar a homepage do Usuário

Autor Mensagem
PONG
Ferro
Ferro


Registro: Jul 26, 2013
Mensagens: 20


Status: Offline

MensagemEnviada: Qua 27 Ago 2014 2:12:26 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous post

corrigindo applaod do AutoCAD e não Excel rs
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email Visitar a homepage do Usuário

Mostrar os tópicos anteriores:   
Novo Tópico   Responder Mensagem    CADKLEIN - Índice do Fórum -> AutoCAD 2D Todos os horários são GMT - 3 Hours
Página 1 de 1

Ir para:  
Enviar Mensagens Novas: Proibido.
Responder Tópicos Proibido
Editar Mensagens: Proibido.
Excluir Mensagens: Proibido.
Votar em Enquetes: Proibido.

Related topics
 Tópicos   Respostas   Autor   Exibições   Última mensagem 
Não há mensagens novas PRECISO FAZER UMA TABELA "ME AJUDEM" 8 emonteiro 11186 Sex 15 Mar 2013 8:48:08 am
dog_isback Exibir a última mensagem
Não há mensagens novas Lisp para mudar todos os objetos de uma layer selecionada! 24 luislhss 10921 Dom 01 Mai 2011 6:50:36 pm
luislhss Exibir a última mensagem
Não há mensagens novas Alguem tem uma lip que faz isso 5 eliselsoares 5283 Qui 04 Dez 2008 11:46:00 am
eliselsoares Exibir a última mensagem
Não há mensagens novas Como usar o filter em uma Lisp?? 9 luislhss 6114 Seg 03 Dez 2007 12:39:30 pm
luislhss Exibir a última mensagem
Não há mensagens novas Como georeferenciar uma imagem? 2 fernandoneves 7956 Qua 11 Out 2006 1:02:05 am
fernandoneves Exibir a última mensagem
 


Powered by phpBB 2.0.10 © 2001-2003 phpBB Group

T-Platinum v.2.0.0 © TechGFX.com
Forums ©

Todos os logos e marcas registradas são propriedade de seus respectivos proprietários. Os comentários são propriedade e responsabilidade de seus autores,
todo o resto © 2002, 2003, 2004 e 2005 - Equipe CADKLEIN.
Você pode ter o conteúdo deste portal/fórum acessando os arquivos Backend?s (RSS) Conteúdo de nossos artigos em seu portal Conteúdo de nosso fórum em seu portal


PHP-Nuke Copyright © 2004 by Francisco Burzi. This is free software, and you may redistribute it under the GPL.
PHP-Nuke comes with absolutely no warranty, for details, see the license.
Powered by PHP-Nuke Platinum

Tempo para gerar esta página: 0.83 segundos
TechGFX